#
# spec file for package python-django_openstack_auth
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django_openstack_auth
Version:        2.1.1
Release:        1.12
Summary:        A Django auth backend for use with the OpenStack Keystone
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://django_openstack_auth.readthedocs.org/
Source:         http://tarballs.openstack.org/django_openstack_auth/django_openstack_auth-%{version}.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.6
# Documentation requirements:
BuildRequires:  python-Sphinx >= 1.1.2
BuildRequires:  python-oslosphinx
# Test requirements:
BuildRequires:  python-Babel >= 1.3
BuildRequires:  python-Django >= 1.8
BuildRequires:  python-keystoneclient >= 0.6.0
BuildRequires:  python-mox3
Requires:       python-Django >= 1.8
Requires:       python-keystoneauth1 >= 2.1.0
Requires:       python-keystoneclient >= 1.6.0
Requires:       python-oslo.config >= 2.7.0
Requires:       python-oslo.policy >= 0.5.0
Requires:       python-pbr >= 1.6
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Provides:       %{name}-test = %{version}
Obsoletes:      %{name}-test < %{version}

%description
Django OpenStack Auth is a pluggable Django authentication backend that
works with Django's ``contrib.auth`` framework to authenticate a user against
OpenStack's Keystone Identity API.

The current version is designed to work with the Keystone V2 API.

%prep
%setup -q -n django_openstack_auth-%{version}

%build
%{__python2} setup.py build
#python setup.py build_sphinx && rm build/sphinx/html/.buildinfo
# pbr is far to intrusive and calls to many builders, we just want docs, thus:
sphinx-build -b html doc/source build/sphinx/html && rm -r build/sphinx/html/.buildinfo

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

# compile mo files from po files
(cd %{buildroot}%{python2_sitelib}/openstack_auth && /usr/bin/django-admin compilemessages)

# Remove po files
find %{buildroot}%{python2_sitelib}/openstack_auth/locale -name "*.po" -delete -print

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst build/sphinx/html
%{python2_sitelib}/django_openstack_auth-%{version}-py%{py_ver}.egg-info
%{python2_sitelib}/openstack_auth
%lang(ar) %{python2_sitelib}/openstack_auth/locale/ar/LC_MESSAGES/django.mo
%lang(de) %{python2_sitelib}/openstack_auth/locale/de/LC_MESSAGES/django.mo
%lang(en_AU) %{python2_sitelib}/openstack_auth/locale/en_AU/LC_MESSAGES/django.mo
%lang(en_GB) %{python2_sitelib}/openstack_auth/locale/en_GB/LC_MESSAGES/django.mo
%lang(es_MX) %{python2_sitelib}/openstack_auth/locale/es_MX/LC_MESSAGES/django.mo
%lang(fr) %{python2_sitelib}/openstack_auth/locale/fr/LC_MESSAGES/django.mo
%lang(hi) %{python2_sitelib}/openstack_auth/locale/hi/LC_MESSAGES/django.mo
%lang(ko_KR) %{python2_sitelib}/openstack_auth/locale/ko_KR/LC_MESSAGES/django.mo
%lang(nl_NL) %{python2_sitelib}/openstack_auth/locale/nl_NL/LC_MESSAGES/django.mo
%lang(pl_PL) %{python2_sitelib}/openstack_auth/locale/pl_PL/LC_MESSAGES/django.mo
%lang(pt_BR) %{python2_sitelib}/openstack_auth/locale/pt_BR/LC_MESSAGES/django.mo
%lang(pt) %{python2_sitelib}/openstack_auth/locale/pt/LC_MESSAGES/django.mo
%lang(es) %{python2_sitelib}/openstack_auth/locale/es/LC_MESSAGES/django.mo
%lang(ja) %{python2_sitelib}/openstack_auth/locale/ja/LC_MESSAGES/django.mo
%lang(ru) %{python2_sitelib}/openstack_auth/locale/ru/LC_MESSAGES/django.mo
%lang(uk) %{python2_sitelib}/openstack_auth/locale/uk/LC_MESSAGES/django.mo
%lang(zh-tw) %{python2_sitelib}/openstack_auth/locale/zh_TW/LC_MESSAGES/django.mo
%lang(zh-CN) %{python2_sitelib}/openstack_auth/locale/zh_CN/LC_MESSAGES/django.mo

%changelog
* Thu Mar  3 2016 tbechtold@suse.com
- update to 2.1.1:
  * Fixing backward compatibility
  * Add domain initial value on login
  * Move d-o-a auth library to keystoneauth
  * Imported Translations from Zanata
  * Makes policy.check aware of domain scoped token
  * Updated from global requirements
  * Add domain scoped token to session in multidomain
  * Revert - Cache the User's Project by Token ID
  * Use set comprehension instead of converting lists to sets
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
- Adjust Requires according to requirements.txt
* Mon Nov 16 2015 vuntz@suse.com
- Fix license: it's Apache-2.0, not BSD-3-Clause.
* Sun Oct  4 2015 tbechtold@suse.com
- update to 2.0.1:
  * doa does not work with mysql
  * Imported Translations from Zanata
  * Updated from global requirements
  * Update .gitreview for stable/liberty
* Sat Sep 19 2015 tbechtold@suse.com
- update to 2.0.0:
  * Remove .tx/config
  * Replace default User model PK
  * IDP specific websso
  * Updated from global requirements
  * Fix missing region field on WebSSO setup
  * Fix Python 3 issues
  * Imported Translations from Transifex
  * Updated from global requirements
  * Removing hack for python 2.6 support
  * initialize the hasher for unscoped token
  * Updated from global requirements
  * Extend User from AbstractBaseUser and AnonymousUser
  * Updated from global requirements
  * Configurable token hashing
  * Updated from global requirements
  * Update supported keystone versions
  * Fix doc reference in README
  * Add message show for switch project
  * Use unscoped token for scoping to project
  * Fixing docstring formatting for param
  * Fix Login form's fields sorting for Django 1.7
  * Updated from global requirements
  * Fixes modules index generated by Sphinx
  * Add Coverage Reports To DOA
  * Support removal of last_activity session flag
  * Use graduated version of oslo.policy
  * Add missing _ import to plugin/base.py
  * Improve messaging on keystone connection issue
  * Updated from global requirements
  * Set default value for new token attributes
  * Adding 1.6 job for tox
  * Updated from global requirements
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * Prepend WEBROOT to redirect URL for WebSSO
  * Update README to work with release tools
  * Uncap library requirements for liberty
  * Updating Django requirements to allow 1.7
  * Fix test error for Django1.7
  * Removing python 2.6 support
  * Updated parsing of catalog to handle bad format
  * Add websso redirect test
  * Hash token only for ASN1 and PKIZ tokens
  * Add authentication using openID and SAML
  * Add token auth plugin
  * Make list_projects a method of auth plugin
  * Rename AUTH_PLUGINS option
  * Follow ups to Authentication Plugins
  * Expose keystone client version as a plugin property
  * Create plugin model for DOA authentication
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Fix H405 docstring issue
  * Updated from global requirements
  * Allow running individual tests via tox
  * Move to hacking 0.10
  * Updated from global requirements
  * Add defaulting of services_region in User class
  * Relocating policy engine from openstack_dashboard
  * Use keystone auth plugins
  * Allow an empty region list
  * Attempt to scope only to enabled projects
  * Add call to KS V3 revoke_token on logout
  * add last_activity to session
  * Workflow documentation is now in infra-manual
  * Use standard test loading features
  * Horizon login page contains DOS attack mechanism
  * Domain enabled login screen needs focus on Domain field
  * Make region sticky on Login page
  * Make region and project sticky
  * Updated the installation instructions
  * Remove admin role name 'admin' hardcode in User.is_superuser()
  * Imported Translations from Transifex
  * Fix inability to switch region via Switch Region dropdown
  * Updated from global requirements
  * Bump hacking to 0.9.x series
  * Remove compiled message catalogs
  * extract mock setup methods
- Adjust Requires according to requirements.txt
- Compile locales (.po -> .mo)
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Sat Sep 27 2014 dmueller@suse.com
- update to 1.1.7:
  * Work toward Python 3.4 support and testing
  * Consider old version of token without 'user_domain_name' attr
  * Added url_path_replace and has_in_url_path methods
  * Configurable token hashing algorithm
  * Add user_domain_name in the user object
  * Adding log message for keystone API mismatch
  * Cache the User's Project by Token ID
  * Fix H4xx docstring issues
  * Replace UserManager/TenantManager with None in tests
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Updated from global requirements
  * Adding back the forms.Login import
* Wed Jul 30 2014 dmueller@suse.com
- update to 1.1.6:
  * Hash the token id if it is over a maximum length
  * Restore "redirect to login page after logout" behaviour
  * Add license header to exceptions.py
  * Fix H301 and H304 hacking issues
  * Updated from global requirements
  * Disable H803 check
  * Add the Python 3 classifiers
  * Do not use Exception.message
  * Redirect the user if they're already logged in
  * Fix translation setup
  * Updated from global requirements
  * Use the latest Django 1.4 release to test
  * Adding check for service roles to match users region selection
  * Updated from global requirements
  * Fix whitespace issues found by Pep8 1.5.4+
  * Fix typo of ANS1 to ASN1
  * Updated from global requirements
  * Add tox env to build docs
  * Fix H306 imports not in alphabetical order
  * Fix remaining PEP8 (E***) and PyFlakes (F***) issues
  * Make Hacking E1XX compliant
  * Updated from global requirements
  * Import translations
  * Reverting default keystone API to v2.0
  * Adding Django 1.6 support
  * Updated from global requirements
  * TestResponse: use a default status code
  * Use mox3 rather than mox
  * Use six.moves.urllib.parse instead of urlparse
  * Updated from global requirements
  * Sort project list by name
  * Switch over to oslosphinx
  * moves default keystone API to v3
- remove 0001-Switch-over-to-oslosphinx.patch: merged upstream
* Tue Apr  8 2014 dmueller@suse.com
- fix requires on SLE11
* Fri Mar  7 2014 speilicke@suse.com
- Update to version django_openstack_auth-1.1.4.3.gdd98eca:
  * Updated from global requirements
  * Sort project list by name
  1.1.4
  * updating version specification
  * Have tox install via setup.py develop
  * Updated from global requirements
  * Support Django 1.4, 1.5 and 1.6
  * Require user to be logged in when switching regions
  * Fixed urls import
  * Fix django.conf.urls.defaults imports
  * Refresh request.user on session updates
  * Pass OPENSTACK_SSL_CACERT setting to keystone
  * Giving focus on username field on log in page
  1.1.3
  * Bump version for 1.1.3
  * Import translations from Transifex for Havana RC1
  * Add I18N related configurations
  * Revoking token when switching tenant or loging out
  * Add Apache2 licence header in data_v3.py
  * Make auth backend use OPENSTACK_ENDPOINT_TYPE parameter from settings
  * Missing check, supporting changes in horizon for middleware changes
  * Update message translation files
- Add python_requires source service
- Fix dependencies
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Switch-over-to-oslosphinx.patch
* Tue Feb 11 2014 speilicke@suse.com
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Feb  6 2014 dmueller@suse.com
- go back to the compat requirements name for sle11
* Mon Jan 20 2014 speilicke@suse.com
- Update to version 1.1.3.13.gb2eab84:
  + updating version specification
- Sync requirements, remove hacking, we don't run pep8 tests
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 1.1.3.12.gba76543:
  + Have tox install via setup.py develop
  + Support Django 1.4, 1.5 and 1.6
  + Require user to be logged in when switching regions
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 1.1.3.7.gac3ac2d:
  + Updated from global requirements
* Tue Nov 19 2013 speilicke@suse.com
- Run tests locally, therefore merge test package back into main
- Properly build HTML documentation and install it
- Add pt_BR locale
- Updated (build) requirements
* Wed Nov 13 2013 speilicke@suse.com
- Add django_openstack_auth-hacking-requires.patch: hacking dep is nonsense
* Thu Oct 24 2013 dmueller@suse.com
- include tests runner
* Fri Oct 18 2013 dmueller@suse.com
- update to 1.1.3:
  * Various i18n fixes
  * Revoke tokens when logging out or changing the tenant
- add -test subpackage
* Fri Sep 27 2013 speilicke@suse.com
- Add python-oslo.config>=1.2.0 test requirement
* Tue Sep 17 2013 dmueller@suse.com
- update to 1.1.2:
  * Try to scope token for all available projects
* Fri Aug  9 2013 speilicke@suse.com
- Buildrequire python-netaddr for testsuite
* Thu Aug  8 2013 dmueller@suse.com
- update to 1.1.1:
  * Keystone V3 support
- drop newer-keystoneclient.diff, fix-testsuite.diff, docs-update.diff
* Tue Jul  9 2013 dmueller@suse.com
- add fix-testsuite.diff
* Sat Jun 22 2013 dmueller@suse.com
- add newer-keystoneclient.diff
* Thu Jun 13 2013 dmueller@suse.com
- add python-argparse dependency
* Fri Jun  7 2013 dmueller@suse.com
- update to 1.0.11:
  * fix tarball
  * fix tests
- enable tests
* Mon May 27 2013 dmueller@suse.com
- update to 1.0.10:
  * Add basic multi-region support
  * Improved User login/logout auditing
* Tue May  7 2013 dmueller@suse.com
- update to 1.0.9:
  * Django 1.5 compatibility
  * Allow insecure authentication
  * Improve compatibility with Django 1.4.2 and older
* Tue Jan 29 2013 dmueller@suse.com
- update to 1.0.6:
  * Fix compatibility with keystoneclient v0.2.
  * Improves error handling; fixes failing test
* Mon Nov 19 2012 saschpe@suse.de
- Mark mo files as %%lang
- Fix doc file path
* Mon Nov 19 2012 saschpe@suse.de
- Initial version
